<template>
  <v-row>
    <v-col v-for="(pokemon,index) in pokemones" cols="3" :key="'col'+index">
      <CuadroPokemon :id="pokemon.url.split('/')[pokemon.url.split('/').length-2]" :nombre="pokemon.name" :foto="link+pokemon.url.split('/')[pokemon.url.split('/').length-2]+'.png'" :key="'pokemon'+index"/>
    </v-col>
    <v-pagination
      v-model="pagina"
      :length="Math.ceil(total/20)"
    ></v-pagination>
  </v-row>
</template>

<script>
// @ is an alias to /src
import CuadroPokemon from "@/components/CuadroPokemon.vue";
import ServicioPokemon from "@/services/ServicioPokemon.js";

export default {
  name: "Home",
  components: {
    CuadroPokemon
  },
  data:()=>({
    link:'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/',
    pokemones:[],
    total:0,
    pagina:1
  }),
  created() {
    ServicioPokemon.getPokemones()
    .then(response=>{
      this.pokemones = response.data.results
      this.total = response.data.count
    })
  },
  watch:{
    pagina(){
      ServicioPokemon.getPokemones(this.pagina)
      .then(response=>{
        this.pokemones = response.data.results
        this.total = response.data.count
      })
    }
  }
};
</script>
